%ext ck1

#Don't show Keen on the map
%patch $81F9 $01 

#Make the first window seem to have no effect: 
#Pause between textbox dissapearing and window lighting up 
%patch $8586 $02 $00 
#Sprite used for window [Make the same as your background] 
%patch $858F $0C $00 
#Light turning on sound, no sound 
%patch $85A0 $00 $00 
#How long before the second window sprite appears 
#[How long the window stays lit] 
%patch $85A9 $02 $00 
#Dark window sprite [Same as above] 
%patch $85B2 $0C $00 
#Light turning off sound, no sound 
%patch $85C3 $00 $00 
#Pause between window going dark and second textbox appearing 
%patch $85CC $02 $00

#No change; Keen still disappears behind the door. 
%patch $4194 $90 
#Top door tile not replaced 
%patch $4130 $90 
#Bottom door tile not replaced 
%patch $4153 $90 

#falling block stuff
%patch $2414 $1E $02
%patch $2494 $1E $02
%patch $23AB $1E $02

%patch $23CD $1E $02
%patch $2436 $1E $02
%patch $24B6 $1E $02
%patch $23EF $1E $02
%patch $2458 $1E $02
%patch $24D8 $1E $02

#Make the door act like a wall when moving right 
%patch $2F31  $E8 $9D $E1 $90 $90 
# Make the door act like a wall when moving left 
%patch $2FE6  $E8 $0B $E1 $90 $90 
# Stop the door bouncing 
%patch $43A4  $E9 $D1 $01 
# Here's where the real work is done 
%patch $10D1  $81 $3E $54 $82 $C4 $45 $75 $15 
              $8B $87 $6E $05 $48 $48 $3D $04 
              $00 $73 $0A $89 $C3 $D1 $E3 $83 
              $BF $9E $AA $01 $C3 $83 $BF $86 
              $18 $00 $C3 $81 $3E $54 $82 $C4 
              $45 $75 $15 $8B $87 $6E $05 $48 
              $48 $3D $04 $00 $73 $0A $89 $C3 
              $D1 $E3 $83 $BF $9E $AA $01 $C3 
              $83 $BF $FA $0E $00 $C3 

# Robot turns to dead Vort when shot 
%patch $176D $6E $1D 

# Robot kills Keen on touch 
%patch $171E $03 $00 

#Id software y pos 
%patch $A241 $5A 
# x pos 
%patch $A245 $1C 

#'production' y pos 
%patch $A253 $00 
#x pos 
%patch $A257 $10 

#robot's shots kill Keen but not other enemies
%patch $48E9 $04 $00 

#teleporter 1
%patch $158DF  $F0 $01 
%patch $158E3  $F0 $04 

#teleporter 2
%patch $158E9  $E0 $00 
%patch $158ED  $00 $02 

#teleporter 3
%patch $158F3 $40 $04
%patch $158F7 $00 $02


#Raygun Shots 
%patch $9008 $10 

#tile used for teleporter
%patch $AF69 $7B $00
%patch $B0A4 $7B $00
%patch $89F0 $7B $00

#Text at bottom of story/previews
%patch $1630C "ESC TO EXIT /"
%patch $1631E "TO READ"

# Change the time that the two previews take 
# Time value is in 64ths of a second (approx) 
# $012C = 300 = ~4.6 seconds 
%patch $96F2  $5A $00 
%patch $9713  $2A $01 

#single frame high score items
%patch $9929 $B8 
%patch $995C $B8 
%patch $998F $B8 
%patch $99C2 $B8 

# Show the score with white background 
%patch $99FA   $E8 $D5 $C8        # CALL    62D2 

# Show the name with white background 
%patch $9A10   $E8 $BF $C8        # CALL    62D2 

# leaves 227 spare bytes at CS:10D1 
# leaves 164 spare bytes at DS:1E02 ($14E52) 

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

# Patch in the name of the status dialog text file 
%patch $13084  "STATUS.CK1" $00 

# Patch in the code to draw the status text (coordinates are measure in characters--8 pixel blocks) 
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $01 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $0A $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $E8 $E1 $02 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6) 
               $0A $7D $24 $B8 $00 $00 $50 $8B $46 $FE $05 $03 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $A8 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick 
               $03 $B8 $9B $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $02 $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8   # Draw the battery 
               $A9 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $9C $01 $50 $8B $46 $FE 
               $05 $08 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $05 $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $AA $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum 
               $03 $B8 $9D $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $08 $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $B8   # Draw the whiskey 
               $AB $01 $83 $3E $98 $AA $00 $74 $03 $B8 $9E $01 $50 $8B $46 $FE 
               $05 $08 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $0B $00 
               $50 $E8 $95 $A9 $83 $C4 $06 

%patch $0FA7                               $B8 $98 $01 $83 $3E $9E $AA $00 $74   # Keycard A
               $03 $B8 $A4 $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $6D $A9 $83 $C4 $06
                                                                           $B8   # Keycard B
               $98 $01 $83 $3E $A0 $AA $00 $74 $03 $B8 $A5 $01 $50 $8B $46 $FE
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00
               $50 $E8 $45 $A9 $83 $C4 $06
                                           $B8 $98 $01 $83 $3E $A2 $AA $00 $74   # Keycard C
               $03 $B8 $A6 $01 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05
               $04 $00 $50 $89 $F0 $05 $13 $00 $50 $E8 $1D $A9 $83 $C4 $06
                                                                           $B8   # Keycard D
               $98 $01 $83 $3E $A4 $AA $00 $74 $03 $B8 $A7 $01 $50 $8B $46 $FE
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00
               $50 $E8 $F5 $A8 $83 $C4 $06

%patch $1047                               $B8 $08 $04 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $98 $01 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0D $00 $50 $E8 $CD $A8 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $04 $00 $50 $89 $F0 $05 $1B $00 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 
                                                   $EB $1C $01 $50 $8B $46 $FE   # Draw raygun (replace first two bytes 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $03 $00   # with $EB $1C if you don't want to 
               $50 $E8 $95 $A8 $83 $C4 $06                                       # draw the raygun on the status screen) 

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 

#keen's shot height
%patch $46DC $08 

#four items not gotten
%patch $AE78  $A8 $01 
%patch $AE9D  $A9 $01 
%patch $AEC2  $AA $01 
%patch $AEE7  $AB $01 

#four items gotten
%patch $8C1A  $9B 
%patch $8C3E  $9C  
%patch $8C64  $9D  
%patch $8C8B  $9E 

#high score items
%patch $992A $9B $01 # Joystick 
%patch $995D $9C $01 # Battery 
%patch $9990 $9D $01 # Vacuum cleaner 
%patch $99C3 $9E $01 # Whisky bottle 

#always have pogo
%patch $900E $01 $00 

# Change tank bot's shooting height in Keen 1. 
%patch $4900 $8 

#vorticon strength
%patch $180D $00 $00 

#vorticon commander strength
%patch $1819 $00 $00 

#God Cheat Code
%patch 0x0120D 0x5030
%patch 0x01214 0x502E
%patch 0x0121B 0x5031

#God mode
%patch $14EF6 "Go get 'em Keen!"
%patch $14F07 "Why no cheating? "

#CTSpace
%patch 0x014DEE "Disguised as Mortimer"
%patch 0x014E05 "you have gained access to "
%patch 0x014E21 "the supplies! You get "
%patch 0x014E39 "all keys and 100 ammo!  "

#CTSpace Cheat Code
%patch 0x011F5 0x5030
%patch 0x011FC 0x502E
%patch 0x01203 0x5032

# The title bitmap will be shown at offset 0,0 
%patch $97B2   $00 $00     # Y location, in pixels 
%patch $97B6   $04 $00     # (X location in pixels) / 8 + 4 

#makes item/door tiles turn into the one at the beginning of its row
%patch $4409 $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410 $F6 $EE $26 $89 $07 $E9 $60 $01 

%patch $4482 $E9 $74 $FF 
%patch $44BA $E9 $3C $FF 
%patch $4513 $E9 $E3 $FE 

%patch $28EC $26 $8B $07 $B6 
%patch $28F0 $0D $F6 $FE $F6 $EE $26 $89 $07 
%patch $28F8 $03 $1E $08 $6C $03 $1E $08 $6C 
%patch $2900 $26 $89 $07 $90 $90 $90 $90 $90 

#Tileinfo!!
%patchfile 0x130F8 MM1.tli

#Menu
%patch 0x015EE9 "NEW     "
%patch 0x015EF6 "LOAD         "
%patch 0x015F06 "  STORY"
%patch 0x015F12 "GENIUS314  "
%patch 0x015F22 "THE KEENEST"
%patch 0x015F32 "MY NEXT MODS "
%patch 0x015F44 "THANKS   "
%patch 0x015F52 "CLOSE WINDOW"

# Red Border 
%patch $4A62 $04 
%patch $6F9D $04 
%patch $15568 $04 
%patch $15579 $04 
%patch $1558A $04 
%patch $1559B $04 

# The two colors that the border flashes when a Vorticon dies 
%patch $4A7D $04 
%patch $4A85 $04 

# Your ship is missing...
%patch 0x0001659B "You gotta upgrade   "

#About ID...
%patch 0x015F80 "I'm a Keen fan who had played the "
%patch 0x015FA8 "game my whole life! When I found "
%patch 0x015FD0 "out about modding, I started  "
%patch 0x015FF8 "this, and here it is"
%patch 0x016020 "Modding is fun! Even if you cant"
%patch 0x016048 "draw, you can still make a quality "
%patch 0x016070 "mod with a little effort! "
%patch 0x016098 "Keep the Keen spirit   "
%patch 0x0160C0 "alive! I hope this mod       "
%patch 0x0160E8 "inspired you to mod, too!        "
%patch 0x016110 "               -GENIUS314"

#Finale
%patch 0x015C24 "Commander Keen gets back to the BWB"
%patch 0x015C49 "and put the new parts in.        "
%patch 0x015C6C "He starts the engine and soon is   "
%patch 0x015C91 "flying into space...           "

# First dialogue box at home
%patch 0x015CBD "Keen makes it home    "
%patch 0x015CD5 "and stares out his"
%patch 0x015CE9 "window, thinking"

%patch 0x015CFB "'Oh, how will I get"
%patch 0x015D10 "rid of all those   "
%patch 0x015D25 "clones?'  "

%patch 0x015D30 "'I know what I'll do'"
#Text jump
%patch 0x015D47 "'I'LL GO THERE AND   "
%patch 0x015D5E "DESTROY THOSE CLONE"
%patch 0x015D73 "MACHINES!!'"

%patch 0x015D80 "'But how...'    "
%patch 0x015D92 "'Will I?'"

%patch 0x015D9C "Well, I'll just figure"
%patch 0x015DB4 "it out when i go    "
%patch 0x015DCA "there!'                "

%patch 0x015DE2 "'Well Syckick...'  "

%patch 0x015DF6 "'You're TOAST!' "

%patch 0x015E07 "Wait for my next mod,"
%patch 0x015E1E "when Keen will kick    "
%patch 0x015E37 "the clones' butts! "
%patch 0x015E4C "Hope you had fun!    "
%patch 0x015E63 "See you later!"











#First Yorp message: [Level 2] -7 lines 
%patch 0x015080 "Syckick Says:       " 
%patch 0x015096 "                    " 
%patch 0x0150AC "Commander Clown,    " 
%patch 0x0150C2 "stop trying, or you " 
%patch 0x0150D8 "will pay! I'll make " 
%patch 0x0150EE "sure of it!         " 
%patch 0x015104 "BWAHAHA!!           " 

#Second Yorp message [level 6] -7 lines 
%patch 0x01511A "Syckick Says:       " 
%patch 0x015130 "                    " 
%patch 0x015146 "Red, yellow, green, " 
%patch 0x01515C "blue, blue, red, off" 
%patch 0x015172 "Try to decode THAT! " 
%patch 0x015188 "BWAHAHAHAHAHAHA YOU " 
%patch 0x01519E "PUNY FOOL!!!        " 

#Third Yorp message: [level 9] -7 lines 
%patch 0x0151B4 "Mortimer Says:      " 
%patch 0x0151CA "                    " 
%patch 0x0151E0 "You like my private " 
%patch 0x0151F6 "rocket, 314? You    " 
%patch 0x01520C "can't go for a ride," 
%patch 0x015222 "cause I'm not gonna " 
%patch 0x015238 "let you! HA HA HA!  " 

#Fourth Yorp message: [Level 10] -7 lines 
%patch 0x01524E "A strange sentence  " 
%patch 0x015264 "fills your mind:    " 
%patch 0x01527A "                    " 
%patch 0x015290 "Fall down any path -" 
%patch 0x0152A6 "Until you do you    " 
%patch 0x0152BC "wont know the prize " 
%patch 0x0152D2 "you'll get!         " 

#Fifth Yorp Message: [level 12] -7 lines 
%patch 0x015340 "Mortimer Says:      " 
%patch 0x015356 "                    " 
%patch 0x01536C "Well 314, you can   " 
%patch 0x015382 "take the easy way, or" #1 longer than usual! 
%patch 0x015399 "you can get all the " 
%patch 0x0153AF "points. But you're  " 
%patch 0x0153C5 "too dumb to do it!HA" 

#Sixth Yorp message: [level 15] -6 lines 
%patch 0x0153DB "Syckick Says:       "
%patch 0x0153F1 "You ignored my evil "
%patch 0x015407 "traps, so now we are"
%patch 0x01541D "enemies! You'll die "
%patch 0x015433 "very soon, stupid   "
%patch 0x015449 "Mister 314! Bwahaha!" 

#Garg message: [level 11] -4 lines 
%patch 0x0152E8 "Mortimer Says:      " 
%patch 0x0152FE "                    " 
%patch 0x015314 "Remember these, 314?" 
%patch 0x01532A "I doubted it! HA!   " 

#Hint statue tile
%patch $455E $B6 $00






#Ordering Info
%patch 0x01632C "COMMANDER KEEN: MORTIMER"
%patch 0x016346 "MCMIRE MODIFICATIONS HAVE"
%patch 0x016364 "THREE UNIQUE AND   "
%patch 0x01637B "CHALLENGING EPISODES:"
%patch 0x016392 "1. THE GALAXY OF M!      "
%patch 0x0163AD "2. MORT TIMES 1000000!   "
%patch 0x0163C8 "3. POWER CLONES!         "
%patch 0x0163E4 "YOU WILL FIND ALL KINDS OF GOOD STUFF"
%patch 0x01640D "* STRONGER SYCKICKS AND PYROPORGS! "
%patch 0x016434 "* 'SUPER' CLONES THAT CAN FLY!     "
%patch 0x01645B "* SUPER COMPUTERS THAT ARE COOL! "
%patch 0x016480 "* A TRIP ON A MORT FLYER!  "
%patch 0x0164B5 "FOR MODS GO TO:"
%patch 0x0164DD "KEEN:MODDING   "
%patch 0x016505 "FOR OTHER KEEN:"
%patch 0x01652D "PUBLIC KEEN FORUM"
%patch 0x0164C6 "BEYOND THE POGO,"
%patch 0x0164EE "CC314, AND MORE"
%patch 0x016516 "ARE ON THE WEB!"
%patch 0x016542 "ONLY YOU CAN MAKE KEEN BETTER, SO JOIN  "
%patch 0x016573 "THE CK COMMUNITY AT: K:M AND PCKF!"


%end
